Find Attack Discovery schedules that match the search criteria
- Base URL
-
https://{kibana_url}
- GET /api/attack_discovery/schedules/_find
- GET /s/{space_id}/api/attack_discovery/schedules/_find
Find Attack Discovery schedules that match the search criteria. Supports pagination and sorting by various fields.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Responses
Indicates a successful call.
-
dataobject[]required -
Array of matched Attack Discovery schedule objects.
-
actionsunion oneOf[]required -
The Attack Discovery schedule actions
- One of:
-
frequencyobject -
The action frequency defines when the action runs (for example, only on schedule execution or at specific time intervals).